%% funkce pro zjištění nejbližší hvězdičky ke kliku uživatele
function[pozice_hvezdicek, pozice_hvezdicek_cas]=pribuzne_hvezdicky(pozice,klik)
%do funkce vstupuje pozice (pozice hvězdiček/změn v eeg_signalu) a klik
%(místo kliknutí uživatele). Výstupem jsou pozice nejbližších hvězdiček/změn v signálu ve vzorcích i čase 
pozice_hvezdicek=[];
for i= 2:length(pozice)-1
    for j=1:length(klik)
    if klik(j)>pozice(i-1) && klik(j)<pozice(i)
        if abs(klik(j)-pozice(i-1))<abs(klik(j)-pozice(i))   
            pozice_hvezdicek=[pozice_hvezdicek pozice(i-1)]    
        else
            pozice_hvezdicek=[pozice_hvezdicek pozice(i)]    
        end
    end
    end
end

pozice_hvezdicek_cas=pozice_hvezdicek.*1000;
end